;;; Eine Linie (die zu brechende Linie) am Schnittpunkt mit einer zweiten Linie (der brechenden Linie) um den Betrag "gap" symmetrisch freistellen. 
;;; Version 0.1a (Entwurf)
;;; Bei Bedarf den Wert von gap abfragen mit (getreal)

(defun c:break500 (/ gap os_old edat1 edat2 p1a p1b p2a p2b p_sch pb1 pb2 obj)
  (setq gap 500)
  ;; evtl. anpassen
  (setq os_old (getvar "osmode"))
  (setvar "osmode" 0)
  (setq
    edat1 (entget
	    (setq obj (car (entsel "\nZu brechende Linie whlen: ")))
	  )
  )
  (setq edat2 (entget (car (entsel "\nBrechende Linie whlen: "))))
  (setq p1a (trans (cdr (assoc 10 edat1)) 0 1))
  (setq p1b (trans (cdr (assoc 11 edat1)) 0 1))
  (setq p2a (trans (cdr (assoc 10 edat2)) 0 1))
  (setq p2b (trans (cdr (assoc 11 edat2)) 0 1))
  (if (and (setq p_sch (inters p1a p1b p2a p2b 'T))
    (not (equal (angle p2a p1a)(angle p1a p2b) 1E-10))
    (not (equal (angle p2a p1b)(angle p1b p2b) 1E-10)))
    (progn
      (setq pb1 (polar p_sch (angle p_sch p1a) (/ gap 2.0)))
      (setq pb2 (polar p_sch (angle p_sch p1b) (/ gap 2.0)))
      (command "_break" obj pb1 pb2)
    )
    (princ "\nLinien schneiden sich nicht")
  )
  (setvar "osmode" os_old)
  (princ)
)